/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package gov.lbl.nest.plugin.overlay;

import static org.junit.jupiter.api.Assertions.assertNotNull;

import org.gradle.api.Project;
import org.gradle.testfixtures.ProjectBuilder;
import org.junit.jupiter.api.Test;

/**
 * A simple unit test for the 'gov.lbl.nest.overlay' plugin.
 */
class WarOverlayPluginTest {
    @Test void pluginRegistersATask() {
        // Create a test project and apply the plugin
        Project project = ProjectBuilder.builder().build();
        project.getPlugins().apply("gov.lbl.nest.overlay");

        // Verify the result
        assertNotNull(project.getTasks().findByName("overlay"));
    }
}
